Subject: Re: [1/3] IRDA: Create new field tx_extra in skbuff

From: Evgeniy Polyakov <[email-masked]>
Date: Mon, 10 Nov 2008 19:55:44 +0300

On Mon, Nov 10, 2008 at 07:35:46PM +0300, Evgeniy Polyakov ([email-masked]) wrote:
> What exactly should be carried in that area?

It is struct irda_skb_cb, which contains qos and other bits of
intormation about how to transfer data, which are in turn obtained from
various _cb IRDA structures, which I tracked upto to for example
lsap_cb, which exists in the hash table. Do others also accessible via
similar mechanism? Can that data be stored on per-device basis like
ethernet checksum/offloading parameters (for example like LRO is done)?

-- 
	Evgeniy Polyakov